Create access configuration with explicit ID
POST
/api/admin/access/{id}
const url = 'https://example.com/api/admin/access/example';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/admin/access/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "type": "example" }'Creates or updates an access configuration under the supplied ID
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Access configuration ID
string
Request Body
Section titled “Request Body”Media typeapplication/json
Access configuration payload. Additional provider-specific fields are permitted.
object
name
Display name for the access configuration
string
type
Access configuration type
string
Examplegenerated
{ "name": "example", "type": "example"}Responses
Section titled “Responses”Access configuration saved successfully
Media typeapplication/json
Stored access configuration. Additional provider-specific fields are permitted.
object
id
Access configuration ID
string
Examplegenerated
{ "id": "example"}